#ifndef DIALGROUP_H
#define DIALGROUP_H

#include <QObject>
#include <QWidget>
#include <QDebug>
#include <QDial>

#include "clickabledoublespinbox.h"

class DialGroup : public QWidget
{
    Q_OBJECT
public:
    explicit DialGroup(QString name,
                int min,
                int max,
                int decimals,
                QWidget *parent = nullptr);

public slots:
    void setValue(float value);

private:
    QDial slider;
    ClickableDoubleSpinBox valueBox;

};

#endif
